﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 281/282/284 (1 yr) Distortion VER /8903
DATE:                  2016-11-21 10:58:47
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17364 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       90
CONFIGURATION:         HP 8903B
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Dev(s) Covered:
#        Fluke 281, 282, 284
#        TTi TGA1241, TGA1242, TGA1244
#        Wavetek 39A, 195
#
#  Source(s):
#        Fluke 281/282/284
#        Accuracy Verification Procedure
#        Fluke Calibration Service Engineering
#        Orig: 2009-05-20
#        Rev:  2009-10-21
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         SINE WAVE DISTORTION

  1.002  IF           ISVAR("@Chan")
  1.003  HEAD         -2 CHANNEL [V @Chan]
  1.004  MATH         @DUT_Setup = "SETUPCH " & @Chan & ";"
  1.005  ELSE
  1.006  MATH         @DUT_Setup = ""
  1.007  ENDIF

  1.008  MATH         @DUT_Setup = @DUT_Setup & "ZLOAD 50;WAVE SINE;"
  1.009  MATH         @DUT_Setup = @DUT_Setup & "AMPUNIT VRMS;AMPL 3.5;"
  1.010  MATH         @First = 1

  1.011  MATH         @Freq = "20 Hz"
  1.012  HEAD         -2 Output Frequency: [V @Freq]
  1.013  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Test /8903
  1.014  JMPL         END                          @Abort

  1.015  MATH         @Freq = "100 Hz"
  1.016  HEAD         -2 Output Frequency: [V @Freq]
  1.017  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Test /8903
  1.018  JMPL         END                          @Abort

  1.019  MATH         @Freq = "1 kHz"
  1.020  HEAD         -2 Output Frequency: [V @Freq]
  1.021  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Test /8903
  1.022  JMPL         END                          @Abort

  1.023  MATH         @Freq = "10 kHz"
  1.024  HEAD         -2 Output Frequency: [V @Freq]
  1.025  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Test /8903
  1.026  JMPL         END                          @Abort

  1.027  MATH         @Freq = "100 kHz"
  1.028  HEAD         -2 Output Frequency: [V @Freq]
  1.029  CALL         Sub Fluke 281/282/284 (1 yr) Distortion Test /8903

  1.030  LABEL        END
  1.031  HEAD         -2
  1.032  HEAD
  1.033  MATH         @Cmd = "*RST"
  1.034  CALL         Sub TTi Function Generator Send Command, Wait for OPC
  1.035  M8903        *
  1.036  8903         *                                                 S
  1.037  END
